% MPIIR_PHASELOCK_LINETRACKER_ITERATE - track a line in amplitude,
% frequency and phase.
% Ed Daw, 31st August 2011
%
% useage: [<phase difference estimate>, ...
%          <amplitude estimate>, ...
%          <frequency estimate>, ...
%          <filtered data>, ...
%          <filter state output>]= ...
%            miwave_phaselock_linetracker_iterate(
%                              <input data>, ...
%                              <number of samples>,
%                              <filter state input>);
%
